<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class Teacher extends Authenticatable
{
    protected $table = 'teachers';

    protected $guarded = [];

    public function courses()
    {
        return $this->belongsToMany('App\Models\Course', 'teacher_courses', 'teacher_id', 'course_id');
    }
}
